AgentTransportLifecycleImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.server.AgentTransportLifecycleImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent.server
Class AgentTransportLifecycleImpl

    java.lang.Object
      org.hyperic.hq.agent.server.AgentTransportLifecycleImpl

All Implemented Interfaces:
  AgentNotificationHandler, AgentTransportLifecycle

    public final class AgentTransportLifecycleImpl

extends java.lang.Object
implements AgentTransportLifecycle

The class that manages the agent transport lifecycle.

Constructor Summary
`AgentTransportLifecycleImpl(AgentDaemon agent, AgentConfig bootConfig, AgentStorageProvider storageProvider)`

Method Summary
`org.jboss.remoting.InvokerLocator` | `getRemoteTransportLocator()`
`void` | `handleNotification(java.lang.String msgClass, java.lang.String msg)` Update the agent transport after the agent setup.
`void` | `registerService(java.lang.Class serviceInterface, java.lang.Object serviceImpl)` Register a service to be hosted by the agent transport.
`void` | `startAgentTransport()` Start the agent transport.
`void` | `stopAgentTransport()` Stop the agent transport.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentTransportLifecycleImpl

    public AgentTransportLifecycleImpl(AgentDaemon agent,
                                       AgentConfig bootConfig,
                                       AgentStorageProvider storageProvider)

Method Detail

### startAgentTransport

    public void startAgentTransport()
                             throws java.lang.Exception

  Description copied from interface: `AgentTransportLifecycle`
  Start the agent transport.

  Specified by:
    `startAgentTransport` in interface `AgentTransportLifecycle`
  Throws:
    `java.lang.Exception`
  See Also:
    `AgentTransportLifecycle.startAgentTransport()`

### stopAgentTransport

    public void stopAgentTransport()

  Description copied from interface: `AgentTransportLifecycle`
  Stop the agent transport.

  Specified by:
    `stopAgentTransport` in interface `AgentTransportLifecycle`
  See Also:
    `AgentTransportLifecycle.stopAgentTransport()`

### handleNotification

    public void handleNotification(java.lang.String msgClass,
                                   java.lang.String msg)

  Description copied from interface: `AgentTransportLifecycle`
  Update the agent transport after the agent setup.

  Specified by:
    `handleNotification` in interface `AgentNotificationHandler`
  Specified by:
    `handleNotification` in interface `AgentTransportLifecycle`
  See Also:
    `AgentTransportLifecycle.handleNotification(java.lang.String, java.lang.String)`

### registerService

    public void registerService(java.lang.Class serviceInterface,
                                java.lang.Object serviceImpl)

  Description copied from interface: `AgentTransportLifecycle`
  Register a service to be hosted by the agent transport.

  Specified by:
    `registerService` in interface `AgentTransportLifecycle`
  Parameters:
    `serviceInterface` - The service interface class.
    `serviceImpl` - The service implementation.
  See Also:
    `AgentTransportLifecycle.registerService(java.lang.Class, java.lang.Object)`

### getRemoteTransportLocator

    public org.jboss.remoting.InvokerLocator getRemoteTransportLocator()

  Specified by:
    `getRemoteTransportLocator` in interface `AgentTransportLifecycle`
  Returns:
    The invoker locator to the remote (server-side) transport or `null` if the agent transport has not been started.
  See Also:
    `AgentTransportLifecycle.getRemoteTransportLocator()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.